--- lib/matplotlib/figure.py.ori	2013-08-09 13:58:12.000000000 +0200
+++ lib/matplotlib/figure.py	2013-08-09 13:58:50.000000000 +0200
@@ -947,14 +947,11 @@
         # a list of (zorder, func_to_call, list_of_args)
         dsu = []
 
-        for a in self.patches:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        [ dsu.append( (x.get_zorder(), x, x.draw, [renderer])) for x in self.patches ]
 
-        for a in self.lines:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        [ dsu.append( (x.get_zorder(), x, x.draw, [renderer])) for x in self.lines ]
 
-        for a in self.artists:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        [ dsu.append( (x.get_zorder(), x, x.draw, [renderer])) for x in self.artists ]
 
         # override the renderer default if self.suppressComposite
         # is not None
@@ -990,15 +987,12 @@
             dsu.append((self.images[0].get_zorder(), self.images[0], draw_composite, []))
 
         # render the axes
-        for a in self.axes:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        [ dsu.append( (x.get_zorder(), x, x.draw, [renderer])) for x in self.axes ]
 
         # render the figure text
-        for a in self.texts:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        [ dsu.append( (x.get_zorder(), x, x.draw, [renderer])) for x in self.texts ]
 
-        for a in self.legends:
-            dsu.append( (a.get_zorder(), a, a.draw, [renderer]))
+        [ dsu.append( (x.get_zorder(), x, x.draw, [renderer])) for x in self.legends ]
 
         dsu = [row for row in dsu if not row[1].get_animated()]
         dsu.sort(key=itemgetter(0))
